diff --git a/tests/functional/Http/Controllers/Auth/SocialAuthControllerTest.php b/tests/functional/Http/Controllers/Auth/SocialAuthControllerTest.php
index c80901f..ea34b7f 100644
--- a/tests/functional/Http/Controllers/Auth/SocialAuthControllerTest.php
+++ b/tests/functional/Http/Controllers/Auth/SocialAuthControllerTest.php
@@ -9,8 +9,6 @@ class SocialAuthControllerTest extends FunctionalTestCase
 {
     public function test_social_login_for_new_user()
     {
-        $this->setSettings(['reg_enabled' => true]);
-
         $socialUser = new StubSocialUser;
 
         $driver = m::mock(Laravel\Socialite\Contracts\Provider::class);
@@ -66,8 +64,6 @@ class SocialAuthControllerTest extends FunctionalTestCase
 
     public function test_twitter_login()
     {
-        $this->setSettings(['reg_enabled' => true]);
-
         $socialUser = new StubSocialUserWithoutEmail;
         $driver = m::mock(Laravel\Socialite\Contracts\Provider::class);
         $driver->shouldReceive('user')->andReturn($socialUser);
@@ -86,8 +82,6 @@ class SocialAuthControllerTest extends FunctionalTestCase
 
     public function test_missing_email_for_non_twitter_provider()
     {
-        $this->setSettings(['reg_enabled' => true]);
-
         $socialUser = new StubSocialUserWithoutEmail;
         $driver = m::mock(Laravel\Socialite\Contracts\Provider::class);
         $driver->shouldReceive('user')->andReturn($socialUser);
@@ -100,8 +94,6 @@ class SocialAuthControllerTest extends FunctionalTestCase
 
     public function test_social_login_for_user_with_one_word_name()
     {
-        $this->setSettings(['reg_enabled' => true]);
-
         $socialUser = new StubSocialUserWithOneWordName;
 
         $driver = m::mock(Laravel\Socialite\Contracts\Provider::class);
diff --git a/tests/functional/Http/Controllers/PermissionsControllerTest.php b/tests/functional/Http/Controllers/PermissionsControllerTest.php
index e2ed1ec..7188840 100644
--- a/tests/functional/Http/Controllers/PermissionsControllerTest.php
+++ b/tests/functional/Http/Controllers/PermissionsControllerTest.php
@@ -40,7 +40,7 @@ class PermissionsControllerTest extends FunctionalTestCase
 
         $this->visit('permission')
             ->seeInTable('table', $permission->display_name, 1, 1)
-            ->seeElement('input', ['type' => 'checkbox', 'name' => "roles[$role->id][]"]);
+            ->seeElement('input[type=checkbox][name="roles['.$role->id.'][]"]');
 
         $this->assertEquals(1, $this->crawler->filter('table tbody tr')->count());
         $this->assertEquals(3, $this->crawler->filter('table tbody tr:nth-child(1) > td')->count());
diff --git a/tests/functional/Repositories/Country/EloquentCountryTest.php b/tests/functional/Repositories/Country/EloquentCountryTest.php
index b9ab516..a291833 100644
--- a/tests/functional/Repositories/Country/EloquentCountryTest.php
+++ b/tests/functional/Repositories/Country/EloquentCountryTest.php
@@ -24,7 +24,7 @@ class EloquentCountryTest extends FunctionalTestCase
         $countries = factory(Country::class)->times(8)->create();
         $countries = $countries->sortBy(function ($country) {
             return $country->name;
-        })->pluck('name', 'id');
+        })->lists('name', 'id');
 
         $this->assertEquals($countries->toArray(), $this->repo->lists()->toArray());
     }
diff --git a/tests/functional/Repositories/Role/EloquentRoleTest.php b/tests/functional/Repositories/Role/EloquentRoleTest.php
index 6e1a4be..7505507 100644
--- a/tests/functional/Repositories/Role/EloquentRoleTest.php
+++ b/tests/functional/Repositories/Role/EloquentRoleTest.php
@@ -84,7 +84,7 @@ class EloquentRoleTest extends FunctionalTestCase
         $role = factory(Role::class)->create();
         $permissions = factory(\Portal\Permission::class)->times(2)->create();
 
-        $this->repo->updatePermissions($role->id, $permissions->pluck('id')->toArray());
+        $this->repo->updatePermissions($role->id, $permissions->lists('id')->toArray());
 
         $this->seeInDatabase('permission_role', ['role_id' => $role->id, 'permission_id' => $permissions[0]->id]);
         $this->seeInDatabase('permission_role', ['role_id' => $role->id, 'permission_id' => $permissions[1]->id]);
@@ -93,7 +93,7 @@ class EloquentRoleTest extends FunctionalTestCase
     public function test_lists()
     {
         $roles = factory(Role::class)->times(4)->create();
-        $roles = $roles->pluck('name', 'id');
+        $roles = $roles->lists('name', 'id');
 
         $this->assertEquals($roles->toArray(), $this->repo->lists()->toArray());
     }
diff --git a/tests/functional/Repositories/User/EloquentUserTest.php b/tests/functional/Repositories/User/EloquentUserTest.php
index 32edecf..afc975a 100644
--- a/tests/functional/Repositories/User/EloquentUserTest.php
+++ b/tests/functional/Repositories/User/EloquentUserTest.php
@@ -271,7 +271,7 @@ class EloquentUserTest extends FunctionalTestCase
     {
         $admins = factory(User::class)->times(2)->create();
         $role = Role::where('name', 'Admin')->first();
-        $role->users()->attach($admins->pluck('id')->toArray());
+        $role->users()->attach($admins->lists('id')->toArray());
 
         $user = factory(User::class)->create();
         $role = Role::where('name', 'User')->first();
